Bug 507076 - F11 install problem with existing LVM disk
F11 install problem with existing LVM disk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:88087f7224f09eccf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 11:25 EDT by TP
Modified: 2009-11-11 13:45 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-12.27-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-11 13:45:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (71.21 KB, text/plain)
2009-06-20 11:25 EDT, TP
no flags Details
Traceback from ppc machine (101.45 KB, text/plain)
2009-08-17 04:04 EDT, Jan Stodola
no flags Details

  None (edit)
Description TP 2009-06-20 11:25:04 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 397, in lvactivate
    raise LVMError("lvactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 2099, in setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1250, in handleUdevLVMPVFormat
    lv.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 1545, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1201, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1691, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 302, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 73, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: lvactivate failed for SnapShotUbuntu_64b
Comment 1 TP 2009-06-20 11:25:11 EDT
Created attachment 348745 [details]
Attached traceback automatically from anaconda.
Comment 2 Jan Stodola 2009-08-17 04:04:12 EDT
Created attachment 357608 [details]
Traceback from ppc machine

Hi, attaching traceback from rawhide-20090816, anaconda 12.15, arch: ppc.
Comment 3 David Lehman 2009-11-11 13:45:42 EST
Handling of lvm snapshot volumes (and mirrored volumes) was added in anaconda-12.27-1.

Note You need to log in before you can comment on or make changes to this bug.